.tgl {
    display: none;
}
.tgl, .tgl:after, .tgl:before, .tgl *, .tgl *:after, .tgl *:before, .tgl + .tgl-btn {
    box-sizing: border-box;
}
.tgl::-moz-selection, .tgl:after::-moz-selection, .tgl:before::-moz-selection, .tgl *::-moz-selection, .tgl *:after::-moz-selection, .tgl *:before::-moz-selection, .tgl + .tgl-btn::-moz-selection {
    background: none;
}
.tgl::selection, .tgl:after::selection, .tgl:before::selection, .tgl *::selection, .tgl *:after::selection, .tgl *:before::selection, .tgl + .tgl-btn::selection {
    background: none;
}
.tgl + .tgl-btn {
    outline: 0;
    display: inline-block;
    width: 2em;
    height: 1.3em;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.tgl + .tgl-btn:after, .tgl + .tgl-btn:before {
    position: relative;
    display: block;
    content: "";
    width: 53%;
    height: 100%;
}
.tgl + .tgl-btn:after {
    left: 0;
}
.tgl + .tgl-btn:before {
    display: none;
}
.tgl:checked + .tgl-btn:after {
    left: 50%;
}

.tgl-flat + .tgl-btn {
    padding: 2px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    background: #DCDCDC;
    border: 1px solid #DCDCDC;
    border-radius: 2em;
}
.tgl-flat + .tgl-btn:after {
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    background: white;
    box-shadow: 0 1px 1px lightslategray;
    content: "";
    border-radius: 1.2em;
}
.tgl-flat:checked + .tgl-btn {
    background: #5ADC69;
    border: 1px solid #5ADC69;
}
.tgl-flat:checked + .tgl-btn:after {
    left: 50%;
}